Skip to content
Start here

Update Monitor Group

client.loadBalancers.monitorGroups.update(stringmonitorGroupId, MonitorGroupUpdateParams { account_id, id, description, members } params, RequestOptionsoptions?): MonitorGroup { id, description, members, 2 more }
PUT/accounts/{account_id}/load_balancers/monitor_groups/{monitor_group_id}

Modify a configured monitor group.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
monitorGroupId: string
params: MonitorGroupUpdateParams { account_id, id, description, members }
account_id: string

Path param: Identifier.

maxLength32
id: string

Body param: The ID of the Monitor Group to use for checking the health of origins within this pool.

description: string

Body param: A short description of the monitor group

members: Array<Member>

Body param: List of monitors in this group

enabled: boolean

Whether this monitor is enabled in the group

monitor_id: string

The ID of the Monitor to use for checking the health of origins within this pool.

monitoring_only: boolean

Whether this monitor is used for monitoring only (does not affect pool health)

must_be_healthy: boolean

Whether this monitor must be healthy for the pool to be considered healthy

created_at?: string

The timestamp of when the monitor was added to the group

formatdate-time
updated_at?: string

The timestamp of when the monitor group member was last updated

formatdate-time
ReturnsExpand Collapse
MonitorGroup { id, description, members, 2 more }
id: string

The ID of the Monitor Group to use for checking the health of origins within this pool.

description: string

A short description of the monitor group

members: Array<Member>

List of monitors in this group

enabled: boolean

Whether this monitor is enabled in the group

monitor_id: string

The ID of the Monitor to use for checking the health of origins within this pool.

monitoring_only: boolean

Whether this monitor is used for monitoring only (does not affect pool health)

must_be_healthy: boolean

Whether this monitor must be healthy for the pool to be considered healthy

created_at?: string

The timestamp of when the monitor was added to the group

formatdate-time
updated_at?: string

The timestamp of when the monitor group member was last updated

formatdate-time
created_at?: string

The timestamp of when the monitor group was created

formatdate-time
updated_at?: string

The timestamp of when the monitor group was last updated

formatdate-time

Update Monitor Group

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const monitorGroup = await client.loadBalancers.monitorGroups.update(
  '17b5962d775c646f3f9725cbc7a53df4',
  {
    account_id: '023e105f4ecef8ad9ca31a8372d0c353',
    id: 'id',
    description: 'Primary datacenter monitors',
    members: [
      {
        enabled: true,
        monitor_id: 'monitor_id',
        monitoring_only: false,
        must_be_healthy: true,
      },
    ],
  },
);

console.log(monitorGroup.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "description": "Primary datacenter monitors",
    "members": [
      {
        "enabled": true,
        "monitor_id": "monitor_id",
        "monitoring_only": false,
        "must_be_healthy": true,
        "created_at": "2014-01-01T05:20:00.12345Z",
        "updated_at": "2014-01-01T05:20:00.12345Z"
      }
    ],
    "created_at": "2014-01-01T05:20:00.12345Z",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "description": "Primary datacenter monitors",
    "members": [
      {
        "enabled": true,
        "monitor_id": "monitor_id",
        "monitoring_only": false,
        "must_be_healthy": true,
        "created_at": "2014-01-01T05:20:00.12345Z",
        "updated_at": "2014-01-01T05:20:00.12345Z"
      }
    ],
    "created_at": "2014-01-01T05:20:00.12345Z",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}